Summary:     Time-series data logging and graphing
Name:        rrdtool
Version:     1.0.48
Release:     5.pp
License:     GPL
Group:       Console/Utilities
Source0:     http://people.ee.ethz.ch/~oetiker/webtools/%{name}/pub/%{name}-%{version}.tar.gz
URL:         http://people.ee.ethz.ch/~oetiker/webtools/%{name}/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Tobias Oetiker <oetiker@ee.ethz.ch>
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    perl
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: /usr/bin/find glibc-devel perl
ExclusiveOS: linux

%description
RRDtool is basically the time-series graphing and data
storage/management component of MRTG, broken out and `done
right'. `done right' means that RRDtool is magnitudes
faster than MRTG and extremely configurable.


%package devel
Summary:     The development files for %{name}
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel
The %{name}-devel package contains the development libraries and
header files for use with rrdtool.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--without-tcllib        \
	--enable-static         \
	--enable-shared
make
# @perl@ and @PERL@ correction
cd examples
find . -type f -exec /usr/bin/perl -e 's/^#! \@perl\@/#!\/usr\/bin\/perl/gi' -p -i \{\} \;
find . -name "*.pl" -exec perl -e 's;\015;;gi' -p -i \{\} \;


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include
make \
	prefix=$RPM_BUILD_ROOT/usr                 \
	imandir=$RPM_BUILD_ROOT/usr/share/man/man1 \
	mandir=$RPM_BUILD_ROOT/usr/share/man       \
	install
eval `perl '-V:installarchlib'`
install -d $RPM_BUILD_ROOT/$installarchlib
mv -f $RPM_BUILD_ROOT/usr/lib/perl/* $RPM_BUILD_ROOT/$installarchlib
install -m 644 src/rrd*.h $RPM_BUILD_ROOT/usr/include
install -m 755 contrib/log2rrd/log2rrd.pl $RPM_BUILD_ROOT/usr/bin
find $RPM_BUILD_ROOT/$installarchlib -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-file
for dir in contrib doc examples html; do
   rm -rf $dir
   mv $RPM_BUILD_ROOT/usr/$dir .
done


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES CONTRIBUTORS COPY* NT-BUILD-TIPS.txt README TODO
%doc %dir contrib doc examples html 
/usr/bin/*
/usr/lib/*.so.*
/usr/lib/perl5/*
/usr/share/man/*

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*.so
/usr/lib/*.*a


%changelog
* Tue May 18 2004 peter.pramberger@1012surf.net
- new version 1.0.48

* Thu Nov 27 2003 peter.pramberger@1012surf.net
- new version 1.0.45
- compiled for RH73

* Thu Feb 06 2003 peter.pramberger@1012surf.net
- new version 1.0.40

* Fri Aug 23 2002 peter.pramberger@1012surf.net
- created

